OpenapiO11y
Returns one connected account for the given provider, by id.
Returns one connected account for the given provider, by id.
GET /v1/o11y/cloud_integrations/{cloud_provider}/accounts/{id}
| Address | https://api.hanzo.ai/v1/o11y/cloud_integrations/{cloud_provider}/accounts/{id} |
| Method | GET |
| Operation | GetAccount |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Returns one connected account for the given provider, by id. Admin gate.
Request
2 fields.
| Field | In | Type | Required | Description |
|---|---|---|---|---|
cloud_provider | path | string | yes | |
id | path | string | yes |
Response
| Status | Body | Meaning |
|---|---|---|
200 | o11y.O11yAccountOut | ok |
200 body — 23 fields.
| Field | In | Type | Always | Description |
|---|---|---|---|---|
data | body | o11y.Account | — | |
data.agentReport | body | o11y.AgentReport | — | |
data.agentReport.data | body | object | — | |
data.agentReport.data.* | body | object | — | |
data.agentReport.timestampMillis | body | integer | — | |
data.config | body | o11y.AccountConfig | — | |
data.config.aws | body | o11y.AWSAccountConfig | — | |
data.config.aws.regions | body | string[] | — | |
data.config.azure | body | o11y.AzureAccountConfig | — | |
data.config.azure.deploymentRegion | body | string | — | |
data.config.azure.resourceGroups | body | string[] | — | |
data.config.gcp | body | o11y.GCPAccountConfig | — | |
data.config.gcp.deploymentProjectId | body | string | — | Project ID where central pub/sub for logs exist |
data.config.gcp.deploymentRegion | body | string | — | Project ID where otel collector will be deployed |
data.config.gcp.projectIds | body | string[] | — | List of project IDs to monitor |
data.createdAt | body | string (date-time) | — | |
data.id | body | any | — | |
data.orgId | body | any | — | |
data.provider | body | any | — | |
data.providerAccountId | body | string | — | |
data.removedAt | body | string (date-time) | — | |
data.updatedAt | body | string (date-time) | — | |
status | body | string | — | Status is "success". |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y cloud_integrations accounts get <cloud_provider> <id>import { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.getAccount({ cloud_provider: 'cloud_provider', id: 'id' });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).get_account(cloud_provider='cloud_provider', id='id')cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.GetAccount(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::get_account(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).getAccount();curl https://api.hanzo.ai/v1/o11y/cloud_integrations/<cloud_provider>/accounts/<id> \
-H "Authorization: Bearer $HANZO_API_KEY"Tool o11y, op GetAccount — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "GetAccount",
"input": {
"cloud_provider": "<cloud_provider>",
"id": "<id>"
}
}
}
}'How is this guide?